<style type="text/css">
	#button-make-payment {
		cursor:pointer
	}
	#button-make-payment.wait {
		cursor:wait
	}

</style>
<div style="display:none" id="error-pay"><?php echo $error_pay; ?></div>

<div class="pull-right">
	<button id="button-make-payment"
	        data-loading-text="Loading..." class="btn btn-info"><?php echo $pay_with_zen; ?></button>
</div>

<script type="text/javascript">
	(function () {

		var $submitButton = $('#button-make-payment');
		var $errorPay = $('#error-pay');
		var isClicked = false;

		$submitButton.on('click', function () {

			if (isClicked) {
				return;
			}

			$submitButton.addClass('wait');

			isClicked = true;

			$.ajax({
				type: 'get',
				url: '<?php echo $url_pay; ?>',
				cache: false,
				dataType: 'html',
				beforeSend: function () {
					$errorPay.hide();
				},
				complete: function () {
					$submitButton.removeClass('wait');
				},
				success: function (ret) {
					$('#collapse-checkout-confirm').find('.panel-body').html(ret);
				},
				error: function () {
					$errorPay.show();
					isClicked = false;
				}
			});
		});
	})();
</script>
